{
  buildDotnetModule,
  dotnetCorePackages,
}: let
  version = "v2025.1-beta5.patch2.security1";
in
  buildDotnetModule {
    pname = "iceshrimp";
    version = "2025.1";

    src = builtins.fetchGit {
      url = "https://iceshrimp.dev/iceshrimp/Iceshrimp.NET/";
      ref = version;
      rev = "aac23cce7b577e6ed58ec9bf1fde4f04c26ff624";
    };

    dotnet-sdk = dotnetCorePackages.sdk_9_0;
    dotnet-runtime = dotnetCorePackages.runtime_9_0;

    projectFile = "Iceshrimp.NET.sln";

    nugetDeps = ./deps.json;

    buildPhase = ''
      runHook preBuild

      make publish

      runHook postBuild
    '';
  }
